Bug 20330 - Allow translating more of quote upload
Summary: Allow translating more of quote upload
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-05 07:21 UTC by paxed
Modified: 2018-05-22 09:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20330: Allow translating more of quote upload (2.89 KB, patch)
2018-03-05 07:23 UTC, paxed
Details | Diff | Splinter Review
Bug 20330: Allow translating more of quote upload (2.93 KB, patch)
2018-03-26 15:26 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20330: Allow translating more of quote upload (3.00 KB, patch)
2018-03-27 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-03-05 07:21:34 UTC
There are untranslatable error messages and table header texts in the quote upload page.
Comment 1 paxed 2018-03-05 07:23:38 UTC
Created attachment 72405 [details] [review]
Bug 20330: Allow translating more of quote upload

Translate the error messages, and the table headers.

Test plan:

1) Go to Home -> Tools -> Quote editor -> Import quotes
2) Upload quotes from a file. Try to trigger the error messages
3) On successful import, check the table header texts
4) Apply patch, update & install a language
5) The error messages and the table header texts should
   show up in the xx-YY-staff-prog.po
6) Repeat 1,2,3
Comment 2 M. Tompsett 2018-03-26 15:26:22 UTC
Created attachment 73286 [details] [review]
Bug 20330: Allow translating more of quote upload

Translate the error messages, and the table headers.

Test plan:

1) Go to Home -> Tools -> Quote editor -> Import quotes
2) Upload quotes from a file. Try to trigger the error messages
3) On successful import, check the table header texts
4) Apply patch, update & install a language
5) The error messages and the table header texts should
   show up in the xx-YY-staff-prog.po
6) Repeat 1,2,3

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2018-03-27 21:01:44 UTC
Created attachment 73357 [details] [review]
Bug 20330: Allow translating more of quote upload

Translate the error messages, and the table headers.

Test plan:

1) Go to Home -> Tools -> Quote editor -> Import quotes
2) Upload quotes from a file. Try to trigger the error messages
3) On successful import, check the table header texts
4) Apply patch, update & install a language
5) The error messages and the table header texts should
   show up in the xx-YY-staff-prog.po
6) Repeat 1,2,3

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-03-29 15:03:18 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-05-14 21:25:20 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 6 Fridolin SOMERS 2018-05-22 09:25:58 UTC
I prefer not to push on 17.05.x since it depends on translation work